/*
 *  H8 Simple Monitor
 * 
 *  Copyright (C) 1999-2004 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: $
 */

#ifndef _COMDEFS_H_
#define _COMDEFS_H_

/*
 *	comdefs.h -- H8 Monitor Common Definitions
 */

/*	Prompt		*/

#define ERROR_PROMPT		'?'

/*	Command Mode	*/

#define CMDMODE_ADDR		'a'
#define CMDMODE_ENTER		'e'
#define CMDMODE_DUMP		'd'

/*	Data Size	*/

#define DATA_SIZE_BYTE		1
#define DATA_SIZE_WORD		2
#define DATA_SIZE_LONG		4

/*	Command		*/

#define COMMAND_END		'.'
#define CMDSTR_HELP		('?' << 8)	/* help */

/*	Default Values	*/

#define STACK_TOP		(RAM_BASE + RAM_SIZE)

/*	Error Code	*/

#define ERR_NO_COMMAND		0x01

/*
 *	External Data
 */                             

		.global		_DataSize
		.global		_CommandMode
		.global		_DumpPointer
		.global		_InputLine
		.global		_AddressPointer
		.global		_Status
		.global		_CommandVector
		.global		_CommandString
		.global		_BeforeInitEntry
		.global		_AfterInitEntry

/*
 *	External Functions
 */

		.global		_Main
		.global		_SendLineTerm
		.global		_SendCharCount
		.global		_SendByte
		.global		_SendLongWord
		.global		_SendWord
		.global		_HexASCII2Long
		.global		_SkipBlanks
		.global		_SendHex
		.global		_SendPrompt
		.global		_ReciveLine
		.global		_RecLineNoEcho
		.global		_SendLine
		.global		_InitRecLine
		.global		_SendString
		.global		_MoveLongInc
		.global		_BeforeInit
		.global		_AfterInit
		.global		_BeforeInitEntry
		.global		_AfterInitEntry

#endif	/* of #ifndef _COMDEFS_H_ */
